#!/bin/sh

#
# Aucun mail a parser
#

FicTmp=/tmp/$0.$$

rm -f $FicTmp.*

[ "$1" = "-v" ] && Verbose="y"

i=0
[ "$Verbose" = "y" ] && echo -n "Message `expr $i + 1`"

if awk -W version > /dev/null
then
    awk '
        BEGIN {
            flag = 0
            i = 0
        }

#
# Cherche en-tete de mel
#

        flag == 0 {
            if (/^From /) {
                flag = 1
            }
            i++
            print >> "'"$FicTmp."'"i
            getline
        }

#
# Corps du message
#

        flag == 1 {
            if ($0 ~ /^From /) {
                i++
                print "."
                printf "Message " i
                print >> "'"$FicTmp."'"i
            } else {
#print i " " $0
                print >> "'"$FicTmp."'"i
            }
        }
    '
else
    MonRead ()
    {
        sed -e "s/ /[:space:]/g" -e "s/	/[:tab:]/g" | \
        while read -r ligne
        do
            echo "$ligne"
        done
    }
    
    MonRead | while read -r ligne
    do
        ligne=`echo "$ligne" | \
               sed -e "s/\[:space:\]/ /g" -e "s/\[:tab:\]/	/g"`
        if echo "$ligne" | grep "^From " > /dev/null || [ "$From" = "y" ]
        then
            echo "$ligne" >> $FicTmp.$i
            while read -r ligne2
            do
                ligne2=`echo "$ligne2" | \
                       sed -e "s/\[:space:\]/ /g" -e "s/\[:tab:\]/	/g"`
                if echo "$ligne2" | grep "^From " > /dev/null
                then
                    [ "$Verbose" = "y" ] && echo "."
                    [ "$Verbose" = "y" ] && echo -n "Message `expr $i + 2`"
                    echo "$ligne2" > $FicTmp.`expr $i + 1`
                    From="y"
                    break
                fi
                echo "$ligne2" >> $FicTmp.$i
            done
            i=`expr $i + 1`
        fi
    done
fi

if [ "$Verbose" = "y" ]
then
    ls -l $FicTmp.* > /dev/null 2>&1 && echo "." || echo " => no message - exit"
fi

